/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.karry.dop.nbmodule.project;

import cz.karry.dop.nbmodule.DopSharedConstants;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.ArrayList;
import java.util.List;
import java.util.Map.Entry;
import javax.swing.Icon;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import org.netbeans.api.project.FileOwnerQuery;
import org.netbeans.api.project.ProjectManager;
import org.netbeans.api.project.SourceGroup;
import org.netbeans.api.project.Sources;


import org.netbeans.spi.project.support.ant.AntProjectEvent;
import org.netbeans.spi.project.support.ant.AntProjectHelper;
import org.netbeans.spi.project.support.ant.EditableProperties;
import org.netbeans.spi.project.support.ant.PropertyEvaluator;
import org.netbeans.spi.project.support.ant.SourcesHelper;
import org.openide.filesystems.FileObject;
import org.openide.util.Mutex;
import org.openide.util.NbBundle;

public class DopSources2 implements Sources {

    public SourceGroup[] getSourceGroups(String type) {
        SourceGroup[] result = new SourceGroup[1];
        result[0] = new SourceGroup() {

            public FileObject getRootFolder() {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public String getName() {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public String getDisplayName() {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public Icon getIcon(boolean opened) {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public boolean contains(FileObject file) throws IllegalArgumentException {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public void addPropertyChangeListener(PropertyChangeListener listener) {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public void removePropertyChangeListener(PropertyChangeListener listener) {
                throw new UnsupportedOperationException("Not supported yet.");
            }
        };
        
        
        return result;
    }

    public void addChangeListener(ChangeListener listener) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public void removeChangeListener(ChangeListener listener) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
